#include <Wire.h>

#define I2C_ADDR 0x64

#define MAX_VOLT 0x3e
#define MIN_VOLT 0x06

#define WAIT_TIME 500

void setup() {
    Wire.begin();
    Serial.begin( 9600 );
}

void loop() {
    unsigned char data, vstep;

    vstep = MIN_VOLT;
    while ( vstep <= MAX_VOLT ){
        data = (vstep << 2) | 0x02;
        Wire.beginTransmission( I2C_ADDR );
        Wire.write( 0x00 );
        Wire.write( data );
        Wire.endTransmission();
        
        Serial.print("Foward: ");
        Serial.println( vstep );
        vstep = vstep + 1;
        delay(WAIT_TIME);
    }

    Wire.beginTransmission( I2C_ADDR );
    Wire.write( 0x00 );
    Wire.write( 0x00 );
    Wire.endTransmission();
    Serial.println("Stop ");
    delay( 5000 );

    vstep = MIN_VOLT;
    while ( vstep <= MAX_VOLT ){
        data = (vstep << 2) | 0x01;
        Wire.beginTransmission( I2C_ADDR );
        Wire.write( 0x00 );
        Wire.write( data );
        Wire.endTransmission();
        
        Serial.print("Reverse: ");
        Serial.println( vstep );
        vstep = vstep + 1;
        delay(WAIT_TIME);
    }

    Wire.beginTransmission( I2C_ADDR );
    Wire.write( 0x00 );
    Wire.write( 0x00 );
    Wire.endTransmission();
    Serial.println("Stop ");
    delay( 5000 );
}
