#include <SPI.h>
 
#define SS_PIN    9
 
void setup(void) {
    Serial.begin( 9600 );
    pinMode( SS_PIN, OUTPUT);
    
    SPI.setBitOrder( MSBFIRST );
    SPI.setClockDivider( SPI_CLOCK_DIV128 );
    SPI.setDataMode( SPI_MODE0 );
 
    SPI.begin();
  
    digitalWrite( SS_PIN, LOW );
    SPI.transfer(0xFF);
    digitalWrite( SS_PIN, HIGH );
    delay(100);
    
    digitalWrite( SS_PIN, LOW );
    SPI.transfer(0x0C);
    SPI.transfer(0x80);
    digitalWrite( SS_PIN, HIGH );
    delay(100);
    
    digitalWrite( SS_PIN, LOW );
    SPI.transfer(0x54);
    digitalWrite( SS_PIN, HIGH );
    delay(1000);
}

void loop(void) {
    unsigned char data_h, data_l;
    int data;
    float temp_data;
  
    digitalWrite( SS_PIN, LOW );

    data_h = SPI.transfer(0); 
    data_l = SPI.transfer(0); 
  
    digitalWrite( SS_PIN, HIGH );

    data = data_h << 8 | data_l;
    temp_data = (float)data / 128.0;
    

    Serial.print( temp_data );
    Serial.println(" C");
    
    delay(1000);
}
 

